# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'd:\20221\NLP\source\main.ui'
#
# Created by: PyQt5 UI code generator 5.15.7
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1700, 900)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.content = QtWidgets.QTextEdit(self.centralwidget)
        self.content.setGeometry(QtCore.QRect(40, 40, 1121, 381))
        font = QtGui.QFont()
        font.setFamily("Microsoft YaHei")
        font.setPointSize(12)
        self.content.setFont(font)
        self.content.setObjectName("content")
        self.process = QtWidgets.QTextEdit(self.centralwidget)
        self.process.setGeometry(QtCore.QRect(40, 460, 1121, 391))
        font = QtGui.QFont()
        font.setFamily("Microsoft YaHei")
        font.setPointSize(12)
        self.process.setFont(font)
        self.process.setObjectName("process")
        self.label_title = QtWidgets.QLabel(self.centralwidget)
        self.label_title.setGeometry(QtCore.QRect(1180, 160, 81, 20))
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        font.setWeight(75)
        self.label_title.setFont(font)
        self.label_title.setTextFormat(QtCore.Qt.AutoText)
        self.label_title.setScaledContents(False)
        self.label_title.setObjectName("label_title")
        self.svm = QtWidgets.QTextEdit(self.centralwidget)
        self.svm.setGeometry(QtCore.QRect(1400, 150, 291, 41))
        font = QtGui.QFont()
        font.setFamily("Microsoft YaHei")
        font.setPointSize(12)
        self.svm.setFont(font)
        self.svm.setObjectName("svm")
        self.label_title_2 = QtWidgets.QLabel(self.centralwidget)
        self.label_title_2.setGeometry(QtCore.QRect(1180, 220, 141, 20))
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        font.setWeight(75)
        self.label_title_2.setFont(font)
        self.label_title_2.setTextFormat(QtCore.Qt.AutoText)
        self.label_title_2.setScaledContents(False)
        self.label_title_2.setObjectName("label_title_2")
        self.bayes = QtWidgets.QTextEdit(self.centralwidget)
        self.bayes.setGeometry(QtCore.QRect(1400, 210, 291, 41))
        font = QtGui.QFont()
        font.setFamily("Microsoft YaHei")
        font.setPointSize(12)
        self.bayes.setFont(font)
        self.bayes.setObjectName("bayes")
        self.label_title_3 = QtWidgets.QLabel(self.centralwidget)
        self.label_title_3.setGeometry(QtCore.QRect(1180, 280, 181, 20))
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        font.setWeight(75)
        self.label_title_3.setFont(font)
        self.label_title_3.setTextFormat(QtCore.Qt.AutoText)
        self.label_title_3.setScaledContents(False)
        self.label_title_3.setObjectName("label_title_3")
        self.rand = QtWidgets.QTextEdit(self.centralwidget)
        self.rand.setGeometry(QtCore.QRect(1400, 270, 291, 41))
        font = QtGui.QFont()
        font.setFamily("Microsoft YaHei")
        font.setPointSize(12)
        self.rand.setFont(font)
        self.rand.setObjectName("rand")
        self.label_title_4 = QtWidgets.QLabel(self.centralwidget)
        self.label_title_4.setGeometry(QtCore.QRect(1180, 410, 81, 20))
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        font.setWeight(75)
        self.label_title_4.setFont(font)
        self.label_title_4.setTextFormat(QtCore.Qt.AutoText)
        self.label_title_4.setScaledContents(False)
        self.label_title_4.setObjectName("label_title_4")
        self.lstm = QtWidgets.QTextEdit(self.centralwidget)
        self.lstm.setGeometry(QtCore.QRect(1400, 390, 291, 41))
        font = QtGui.QFont()
        font.setFamily("Microsoft YaHei")
        font.setPointSize(12)
        self.lstm.setFont(font)
        self.lstm.setObjectName("lstm")
        self.button_predict = QtWidgets.QPushButton(self.centralwidget)
        self.button_predict.setGeometry(QtCore.QRect(1250, 30, 381, 100))
        font = QtGui.QFont()
        font.setFamily("Microsoft YaHei")
        font.setPointSize(12)
        font.setBold(True)
        font.setWeight(75)
        self.button_predict.setFont(font)
        self.button_predict.setObjectName("button_predict")
        self.label_title_5 = QtWidgets.QLabel(self.centralwidget)
        self.label_title_5.setGeometry(QtCore.QRect(1180, 340, 221, 20))
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        font.setWeight(75)
        self.label_title_5.setFont(font)
        self.label_title_5.setTextFormat(QtCore.Qt.AutoText)
        self.label_title_5.setScaledContents(False)
        self.label_title_5.setObjectName("label_title_5")
        self.logic = QtWidgets.QTextEdit(self.centralwidget)
        self.logic.setGeometry(QtCore.QRect(1400, 330, 291, 41))
        font = QtGui.QFont()
        font.setFamily("Microsoft YaHei")
        font.setPointSize(12)
        self.logic.setFont(font)
        self.logic.setObjectName("logic")
        self.attention_ = QtWidgets.QTextEdit(self.centralwidget)
        self.attention_.setGeometry(QtCore.QRect(1400, 450, 291, 41))
        font = QtGui.QFont()
        font.setFamily("Microsoft YaHei")
        font.setPointSize(12)
        self.attention_.setFont(font)
        self.attention_.setObjectName("attention_")
        self.label_title_6 = QtWidgets.QLabel(self.centralwidget)
        self.label_title_6.setGeometry(QtCore.QRect(1180, 470, 201, 20))
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        font.setWeight(75)
        self.label_title_6.setFont(font)
        self.label_title_6.setTextFormat(QtCore.Qt.AutoText)
        self.label_title_6.setScaledContents(False)
        self.label_title_6.setObjectName("label_title_6")
        MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.label_title.setText(_translate("MainWindow", "SVM"))
        self.label_title_2.setText(_translate("MainWindow", "NAIVE BAYES"))
        self.label_title_3.setText(_translate("MainWindow", "RANDOM FOREST"))
        self.label_title_4.setText(_translate("MainWindow", "LSTM"))
        self.button_predict.setText(_translate("MainWindow", "PREDICT"))
        self.label_title_5.setText(_translate("MainWindow", "LOGISTIC REGRESSION"))
        self.label_title_6.setText(_translate("MainWindow", "CNN + ATTENTION"))
